#if !defined(AFX_CONNECTGWPAGECFG_H__8DB8CD75_239B_4956_897F_3AE1C3675042__INCLUDED_)
#define AFX_CONNECTGWPAGECFG_H__8DB8CD75_239B_4956_897F_3AE1C3675042__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConnectGwPageCfg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CConnectGwPageCfg dialog

class CConnectGwPageCfg : public CPropertyPage
{
	DECLARE_DYNCREATE(CConnectGwPageCfg)

// Construction
public:
	CConnectGwPageCfg();
	~CConnectGwPageCfg();

// Dialog Data
	enum { IDD = IDD_CONNECT_GW_PAGE_CFG };
	CSpinButtonCtrl					m_ctrgwportspin;
	int								m_gwport;
	CString							m_gwkey;
	CString							m_gwip;
	BOOL							m_secure;
	CString							m_server;

protected:
	CComboBox						gw_select;
	bool							m_enabled;

	// Gateway list
	struct gateway_t
	{
		CString		host;
		CString		key;
		CString		server;
		int			port;
		int			secure;
	};
	CList<gateway_t*, gateway_t*>	gw_list;

	// Utility
	void         load_gwList(void);
	void         save_gwList(void);
	void         fill_gwList(void);
	CString      FindParam(const CString& str, const CString& param);
	gateway_t*   find_gwList(gateway_t* entry);
	void         OnInsertGateway(const CString& host, const int port, const CString& key, const int secure, const CString& server);

	// Message map functions
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnSelectGateway();
	afx_msg void OnClearGateway();
	afx_msg void OnBrowse();
	LRESULT      OnConnectPage(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONNECTGWPAGECFG_H__8DB8CD75_239B_4956_897F_3AE1C3675042__INCLUDED_)
