#if !defined(AFX_DLGUPLOAD_H__6A88CAF8_4D75_4833_8700_F66DABAC4C70__INCLUDED_)
#define AFX_DLGUPLOAD_H__6A88CAF8_4D75_4833_8700_F66DABAC4C70__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgUpload.h : header file
//

// Include files
#include "TextProgressCtrl.h"

// Defenitions
struct BUR {
   int AppCodeSeg;
   int AppHeadSeg;
   int FWCodeSeg;
   int FWConstSeg;
   int FWHeadSeg;
};

/////////////////////////////////////////////////////////////////////////////
// CDlgUpload dialog

class CDlgUpload : public CDialog
{
// Construction
public:
	CDlgUpload(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlgUpload)
	enum { IDD = IDD_UPLOAD };
	CButton	          m_ctrcancel;
	CStatic	          m_ctrstatus;
	CTextProgressCtrl m_progress;
	//}}AFX_DATA

	CString           m_filenameapp;
	CString           m_filenamefw;
	int               m_type;
	BUR               m_report;
	bool              m_CancelInProgress;
	bool              m_UploadInProgress;
	bool              m_SilentVoice;
	unsigned long     m_SerialNumber;
  bool              m_Busy;
  int               m_targetid;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgUpload)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Thread for upload
	static unsigned long __stdcall thProg( LPVOID lpvParam );

	// Upload application
	void AppBackground();
	void AppDirect();

	// Upload firmware
	void FWBackground();
	void FWDirect();

	// Generated message map functions
	//{{AFX_MSG(CDlgUpload)
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	virtual void OnCancel();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGUPLOAD_H__6A88CAF8_4D75_4833_8700_F66DABAC4C70__INCLUDED_)
