// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__6F00785A_6DE2_42A6_A44C_17344D7A034A__INCLUDED_)
#define AFX_STDAFX_H__6F00785A_6DE2_42A6_A44C_17344D7A034A__INCLUDED_

#define WINVER 0x0501

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxdisp.h>        // MFC Automation classes
#include <afxdtctl.h>		// MFC support for Internet Explorer 4 Common Controls
#include <afxinet.h>
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT

#include <afxsock.h>		// MFC socket extensions


//--------------------------------------------------------------------------------
// Include RTCUCSP library
#include "..\library\h\rtcucsp.h"
#include <afxdlgs.h>
//--------------------------------------------------------------------------------


#ifdef _DEBUG
  #include <conio.h>
#include <afxcontrolbars.h>
#define DEBUGMSG _cprintf
#else
  #define DEBUGMSG
#endif  

#define PROG_VERSION	"8.40"


// User Window Messages
const UINT UWM_CONNECT_SHEET   = RegisterWindowMessage( "RTCUPROG_UWM_CONNECT_SHEET" );
const UINT UWM_CONNECT_PAGE    = RegisterWindowMessage( "RTCUPROG_UWM_CONNECT_PAGE" );
const UINT UWM_UPDATE_WINDOW   = RegisterWindowMessage( "RTCUPROG_UWM_UPDATE_WINDOW" );
const UINT UWM_OPTION_VALIDATE = RegisterWindowMessage( "RTCUPROG_UWM_OPTION_VALIDATE");


struct gw_state {
  unsigned short Port;
  CString        IP;
  CString        Key;
  CString        server;
  unsigned char  CryptKey[16];
  unsigned char  maxsend;
  unsigned char  secure;
  unsigned short resptimeout;
};

struct unit_info {
  bool           Connected;
  unsigned long  SerialNumber;
  int            TargetID;
  int            FirmwareVer;
  int            monitor;
};

extern struct gw_state  gStateGW;
extern struct unit_info gUnitInfo;
extern HRMONCON         hCon;
extern CString          g_workdir;

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__6F00785A_6DE2_42A6_A44C_17344D7A034A__INCLUDED_)
