#pragma once
#include "afxwin.h"
#include "HexEditCtrl.h"

// CUnitGWPageFallback

class CUnitGWPageFallback : public CPropertyPage
{
   DECLARE_DYNAMIC(CUnitGWPageFallback)

   // Construction
public:
   CUnitGWPageFallback();
   ~CUnitGWPageFallback();


   // Dialog Data
   enum { IDD = IDD_UNIT_GW_PAGE_FALLBACK };
   CHexEdit          c_cryptkey;
   CSpinButtonCtrl   m_gwspinport;
   CString           m_gwip;
   CString           m_gwkey;
   int               m_gwport;
   BOOL              m_gwenable;
   int               m_gwkeepalive;
   int               m_gwmaxconn;
   int               m_gwmaxsend;
   int               m_gwresptimeout;
   BOOL              m_cryptkeyenable;
   unsigned char     m_crypt_key[16];

protected:
   CSpinButtonCtrl   m_gwspinresptimeout;
   CSpinButtonCtrl   m_gwspinmaxsend;
   CSpinButtonCtrl   m_gwspinmaxconn;
   CSpinButtonCtrl   m_gwspinkeepalive;

public:
   // Utility
   void         UpdateView();

protected:
   // Message map functions
   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
   virtual BOOL OnInitDialog();
   afx_msg void OnCheckCryptKey();

   DECLARE_MESSAGE_MAP()
};


