#pragma once
#include "afxwin.h"
#include "HexEditCtrl.h"

// CUnitGWPageRCH

class CUnitGWPageRCH : public CPropertyPage
{
	DECLARE_DYNAMIC(CUnitGWPageRCH)

	// Construction
public:
	CUnitGWPageRCH();
	~CUnitGWPageRCH();


	// Dialog Data
	enum { IDD = IDD_UNIT_GW_PAGE_RCH };
	CHexEdit          c_cryptkey;
	CSpinButtonCtrl   m_gwspinport;
	CString           m_gwip;
	CString           m_gwkey;
	int               m_gwport;
	int               m_gwkeepalive;
	int               m_gwmaxconn;
	int               m_gwmaxsend;
	int               m_gwresptimeout;
	int               m_iface;
	BOOL              m_secure;
	BOOL              m_gwenable;
	BOOL              m_autostart;
	BOOL              m_cryptkeyenable;
	unsigned char     m_crypt_key[16];

protected:
	CSpinButtonCtrl   m_gwspinresptimeout;
	CSpinButtonCtrl   m_gwspinmaxsend;
	CSpinButtonCtrl   m_gwspinmaxconn;
	CSpinButtonCtrl   m_gwspinkeepalive;
	CComboBox         c_iface;


	// Implementation
public:
	void         UpdateView();

protected:
	// Message map functions
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	afx_msg void OnCheckCryptKey();
	afx_msg void OnCheckSecurity();
	afx_msg void OnChangeIface();

	DECLARE_MESSAGE_MAP()
};


