#pragma once


// CUnitNetWlanSetup dialog

class CUnitNetWlanSetup : public CDialog
{
	DECLARE_DYNAMIC(CUnitNetWlanSetup)

public:
	CUnitNetWlanSetup(CWnd* pParent = nullptr);   // standard constructor
	~CUnitNetWlanSetup();

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_UNIT_NET_WLAN_SETUP };
#endif
	CString           m_ssid;
	int               m_security;
	CString           m_phrase;
	unsigned short    m_flags;
	unsigned long     m_ip;
	unsigned long     m_subnet;
	unsigned long     m_gateway;
	unsigned long     m_dns1;
	unsigned long     m_dns2;
	CStringList       m_reserved;

protected:
	// Controls
	CComboBox         c_security;
	CIPAddressCtrl    c_address;
	CIPAddressCtrl    c_subnet;
	CIPAddressCtrl    c_gateway;
	CIPAddressCtrl    c_dns1;
	CIPAddressCtrl    c_dns2;
	int               m_sel_ip;
	int               m_sel_dns;

	// Utility
	void         ShowType(int type);
	void         UpdateView(void);

	// Message map
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSelectSecurity();
	afx_msg void OnClickedDynamic();
	afx_msg void OnClickedDynamicDns();
	afx_msg void OnClickedStatic();
	afx_msg void OnClickedStaticDns();

	DECLARE_MESSAGE_MAP()
};
