#pragma once

#include "afxdialogex.h"
#include "afxcmn.h"
#include "DlgPopup.h"

// CUnitOptionServer dialog

class CUnitOptionServer : public CDialogEx
{
  DECLARE_DYNAMIC(CUnitOptionServer)

public:
  CUnitOptionServer(CWnd* pParent = NULL);   // standard constructor
  virtual ~CUnitOptionServer();

// Dialog Data
  enum { IDD = IDD_UNIT_OPTIONSERVER };
  CListCtrl       m_list;
protected:
  CString         m_user;
  CString         m_pass;
  CString         m_credits;
  bool            m_updating_list;
  int             m_selected;
  long            m_serial;
  CArray<CString> m_option_id;
  CDlgPopup*      popup;
  bool            m_inupdate;
  long            m_update_serial;

// Dialog Functions
public:
          void ConnectChanged(void);
protected:
  virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  // Initiation / Destruction
  virtual BOOL OnInitDialog();
  afx_msg void OnDestroy();
  virtual void PostNcDestroy();
  // Fail safe
  virtual void OnCancel();
  virtual void OnOK();
  // Update list of options
  afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
  afx_msg void OnClickedAuthenticate();
  afx_msg void OnTimer(UINT_PTR nIDEvent);
          void UpdateList(void);
  // Order options
  afx_msg void OnClickedUpdate();
  afx_msg void OnItemChanged(NMHDR *pNMHDR, LRESULT *pResult);

  DECLARE_MESSAGE_MAP()
};
