// UnitPassword.cpp : implementation file
//

#include "stdafx.h"
#include "rtcuprog.h"
#include "UnitPassword.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUnitPassword dialog


CUnitPassword::CUnitPassword(CWnd* pParent /*=NULL*/)
	: CDialog(CUnitPassword::IDD, pParent)
{
	//{{AFX_DATA_INIT(CUnitPassword)
	m_password  = _T("");
	m_password2 = _T("");
	//}}AFX_DATA_INIT
}


void CUnitPassword::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CUnitPassword)
	DDX_Text(pDX, IDC_PASSWORD,  m_password);
	DDX_Text(pDX, IDC_PASSWORD2, m_password2);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CUnitPassword, CDialog)
	//{{AFX_MSG_MAP(CUnitPassword)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUnitPassword message handlers

void CUnitPassword::OnOK() 
{
	UpdateData(true);

	// Validate
	if( m_password != m_password2 ) {
		AfxMessageBox("The two entryfields does NOT contain the same password !\nPlease correct.");
		return;
	}
	if( m_password.IsEmpty() ) {
		if( AfxMessageBox( "The password is empty. This will allow anyone access to the RTCU Unit.\nDo you really want this?", MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 ) == IDNO )
			return;
	}

	// Default
	CDialog::OnOK();
}
