#pragma once


// CDlgFilesysReport dialog

class CDlgFilesysReport : public CDialog
{
   DECLARE_DYNAMIC(CDlgFilesysReport)

public:
   CDlgFilesysReport(CWnd* pParent = NULL);   // standard constructor
   virtual ~CDlgFilesysReport();

// Dialog Data
   enum { IDD = IDD_FILESYS_REPORT };
   CButton       c_cancel;
   CProgressCtrl c_progress;
   CListBox      c_list;
   CString       m_Text;
   int           m_ReportReply;
   bool          m_ReportCancel;

protected:
   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
   virtual BOOL OnInitDialog();
   virtual void PostNcDestroy();
   virtual void OnOK();
   virtual void OnCancel();
   afx_msg void OnSize(UINT nType, int cx, int cy);
   afx_msg void OnGetMinMaxInfo(MINMAXINFO* lpMMI);
   LRESULT      OnUpdateWindow( WPARAM wParam, LPARAM lParam );

   DECLARE_MESSAGE_MAP()
};

void FilereportReset(CDialog *pView, CString Text);
void FilereportAdd(CDialog *pView, CString Text);
void FilereportProgress(CDialog *pView, int val);
void FilereportCompleted(CDialog *pView, CString Text);
bool FilereportCancelled(CDialog *pView);
void FilereportDisable(CDialog *pView, bool disabled);
