#pragma once

#include "HexEditCtrl.h"


// CDlgFilesysShow dialog

class CDlgFilesysShow : public CDialog
{
   DECLARE_DYNAMIC(CDlgFilesysShow)

public:
   CDlgFilesysShow(CWnd* pParent = NULL);   // standard constructor
   virtual ~CDlgFilesysShow();

// Dialog Data
   enum { IDD = IDD_FILESYS_SHOW };
   CEdit         c_data_text;
   CHexEdit      m_data;
   int           m_view;
   CString       m_File;
   int           m_Source;
   CString       m_SourceFile;
   CFont         m_font;

protected:
   // Utility
   BOOL         ReadWindowPlacement(LPWINDOWPLACEMENT pwp);
   void         WriteWindowPlacement(LPWINDOWPLACEMENT pwp);

   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
   virtual BOOL OnInitDialog();
   afx_msg void OnRadioHex();
   afx_msg void OnRadioText();
   afx_msg void OnSize(UINT nType, int cx, int cy);
   afx_msg void OnGetMinMaxInfo(MINMAXINFO* lpMMI);
   virtual void OnCancel();

   DECLARE_MESSAGE_MAP()
};
