// UnitGWPageAdv.cpp : implementation file
//

#include "stdafx.h"
#include "rtcuprog.h"
#include "UnitGWPageAdv.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUnitGWPageAdv property page

IMPLEMENT_DYNCREATE(CUnitGWPageAdv, CPropertyPage)

CUnitGWPageAdv::CUnitGWPageAdv() : CPropertyPage(CUnitGWPageAdv::IDD)
{
}

CUnitGWPageAdv::~CUnitGWPageAdv()
{
}

void CUnitGWPageAdv::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_SPINRESPTIMEOUT, m_gwspinresptimeout);
	DDX_Control(pDX, IDC_SPINMAXSEND, m_gwspinmaxsend);
	DDX_Control(pDX, IDC_SPINMAXCONN, m_gwspinmaxconn);
	DDX_Control(pDX, IDC_SPINKEEPALIVE, m_gwspinkeepalive);
	DDX_Control(pDX, IDC_CRYPT_KEY, c_cryptkey);
	DDX_Text(pDX, IDC_GWKEEPALIVE, m_gwkeepalive);
	DDV_MinMaxInt(pDX, m_gwkeepalive, 0, 60000);
	DDX_Text(pDX, IDC_GWMAXCONN, m_gwmaxconn);
	DDV_MinMaxInt(pDX, m_gwmaxconn, 1, 60);
	DDX_Text(pDX, IDC_GWMAXSEND, m_gwmaxsend);
	DDV_MinMaxInt(pDX, m_gwmaxsend, 1, 60);
	DDX_Text(pDX, IDC_GWRESPTIMEOUT, m_gwresptimeout);
	DDV_MinMaxInt(pDX, m_gwresptimeout, 5, 60);
}


BEGIN_MESSAGE_MAP(CUnitGWPageAdv, CPropertyPage)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Initiation / Destruction
/////////////////////////////////////////////////////////////////////////////

BOOL CUnitGWPageAdv::OnInitDialog() 
{
	// Default
	CPropertyPage::OnInitDialog();

	// Set controls
	m_gwspinkeepalive.SetRange32(0, 60000);	
	m_gwspinresptimeout.SetRange(5, 60);	
	m_gwspinmaxsend.SetRange(1, 60);	
	m_gwspinmaxconn.SetRange(1, 60);	
	UpdateData(false);

	// Set crypt key
	c_cryptkey.m_bpr = 8;
	c_cryptkey.SetOptions(false, true, false, false);
	c_cryptkey.SetData(m_crypt_key, 16);

	// Completed
	return TRUE;
}

void CUnitGWPageAdv::UpdateView()
{
	// Is window created?
	if (c_cryptkey.GetSafeHwnd() == NULL) return;

	// Update data
	c_cryptkey.SetData(m_crypt_key, 16);
	UpdateData(false);
}
