// UnitGWPageCfg.cpp : implementation file
//

#include "stdafx.h"
#include "rtcuprog.h"
#include "UnitGWPageCfg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUnitGWPageCfg property page

IMPLEMENT_DYNCREATE(CUnitGWPageCfg, CPropertyPage)

CUnitGWPageCfg::CUnitGWPageCfg() : CPropertyPage(CUnitGWPageCfg::IDD)
{
}

CUnitGWPageCfg::~CUnitGWPageCfg()
{
}

void CUnitGWPageCfg::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_SPINPORT, m_gwspinport);
	DDX_Text(pDX, IDC_GWIP, m_gwip);
	DDV_MaxChars(pDX, m_gwip, 32);
	DDX_Text(pDX, IDC_GWKEY, m_gwkey);
	DDV_MaxChars(pDX, m_gwkey, 8);
	DDX_Text(pDX, IDC_GWPORT, m_gwport);
	DDV_MinMaxInt(pDX, m_gwport, 1, 65535);
	DDX_Check(pDX, IDC_GWENABLE, m_gwenable);
}

BEGIN_MESSAGE_MAP(CUnitGWPageCfg, CPropertyPage)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Initiation / Destruction
/////////////////////////////////////////////////////////////////////////////

BOOL CUnitGWPageCfg::OnInitDialog() 
{
	// Default
	CPropertyPage::OnInitDialog();

	// Set controls
	m_gwspinport.SetRange32(1, 65535);	
	UpdateData(false);

	// Completed
	return TRUE;
}
