#if !defined(AFX_UNITGWSHEET_H__CFB76D4B_CA29_4352_9F95_8AD19AC278A7__INCLUDED_)
#define AFX_UNITGWSHEET_H__CFB76D4B_CA29_4352_9F95_8AD19AC278A7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// UnitGWSheet.h : header file
//

#include "UnitGWPageCfg.h"
#include "UnitGWPageAdv.h"
#include "UnitGWPageRCH.h"
#include "UnitGWPageFallback.h"

/////////////////////////////////////////////////////////////////////////////
// CUnitGWSheet

class CUnitGWSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CUnitGWSheet)

// Construction
public:
	CUnitGWSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CUnitGWSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	virtual ~CUnitGWSheet();

// Attributes
public:
	CButton				m_ctrdefault;
	CButton				m_ctrfetch;
	CButton				m_ctrwrite;
	CStatic				m_error;

protected:
	CUnitGWPageCfg		m_Page1;
	CUnitGWPageAdv		m_Page2;
	CUnitGWPageRCH		m_Page3;
	CUnitGWPageFallback	m_Page4;

	int					m_enable_gw;
	int					m_enable_hub;
	CString				m_text[2];

	// Size
	LONG				m_offset;
	LONG				m_tab_size;

protected:
	// Utility
	char         hatoi(const CString& ha) const;
	void         UpdateControls(const bool working);

	// Generated message map functions
	virtual BOOL	OnInitDialog();
	afx_msg void	OnDestroy();
	afx_msg HBRUSH	OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	virtual BOOL	OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	afx_msg void	OnRead();
	afx_msg void	OnWrite();
	afx_msg void	OnSetdefault();

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UNITGWSHEET_H__CFB76D4B_CA29_4352_9F95_8AD19AC278A7__INCLUDED_)
