#pragma once


// CUnitNetPageCell

class CUnitNetPageCell : public CPropertyPage
{
	DECLARE_DYNAMIC(CUnitNetPageCell)

public:
	CUnitNetPageCell();
	~CUnitNetPageCell();

	// Functions
	bool         StripWhiteSpace(CString& text);
	void         SetDefault(void);
	BOOL         ValidateSetup(void);
	int          ReadSetup(void);
	int          WriteSetup(void);

	// Dialog Data
	enum { IDD = IDD_UNIT_NET_PAGE_CELL };
	DWORD           m_ip;
	DWORD           m_subnet;
	DWORD           m_gatewayip;
	DWORD           m_dns1;
	DWORD           m_dns2;
	CString         m_apn;
	CString         m_apn_history;
	CString         m_password;
	CString         m_userid;
	int             m_authentication;
	CString         m_init;
	BOOL            m_dynamic;
	BOOL            m_nat_gateway;

protected:
	// Controls
	CEdit           m_ctrinit;
	CComboBox       m_ctrauthentication;
	CComboBox       m_ctrapn;
	CIPAddressCtrl  m_ctrgatewayip;
	CIPAddressCtrl  m_ctrsubnet;
	CIPAddressCtrl  m_ctrip;
	CIPAddressCtrl  m_ctrdns2;
	CIPAddressCtrl  m_ctrdns1;
	CStatic         c_label_gateway;
	CButton         c_check_gateway;

	// Utility
	void         UpdateHistory(void);
	static int RMONCC object_input(
		void* uptr,
		const char* name,
		int type,
		int size,
		unsigned char* data,
		unsigned long flags,
		int min_val,
		int max_val,
		const char* description
	);
	void         UpdateControls(void);

	// Message map functions
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	afx_msg void OnClickedDynamic();

	DECLARE_MESSAGE_MAP()
};
