#pragma once

#include <afxdlgs.h>
#include "UnitNetPageAP.h"
#include "UnitNetPageCell.h"
#include "UnitNetPageLan.h"
#include "UnitNetPageWlan.h"

class CUnitNetSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CUnitNetSheet)

	// Construction
public:
	CUnitNetSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	~CUnitNetSheet();

protected:
	// Pages
	CUnitNetPageCell	m_Page1;
	CUnitNetPageLan		m_Page2;
	CUnitNetPageLan		m_Page3;
	CUnitNetPageWlan	m_Page4;
	CUnitNetPageAP		m_Page5;

	// Controls
	CButton				m_reset;
	CButton				m_write;
	CButton				m_read;
	CButton				m_close;

	// State
	int					m_enable_lan;
	int					m_enable_wifi;

protected:
	// Utility

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnRead();
	afx_msg void OnSetdefault();
	afx_msg void OnWrite();

	DECLARE_MESSAGE_MAP()
};

