// UnitPinCode.cpp : implementation file
//

#include "stdafx.h"
#include "RTCUProg.h"
#include "UnitPinCode.h"


// CUnitPinCode dialog

IMPLEMENT_DYNAMIC(CUnitPinCode, CDialog)

CUnitPinCode::CUnitPinCode(CWnd* pParent /*=NULL*/)
   : CDialog(CUnitPinCode::IDD, pParent)
   , m_pin(_T(""))
{
}

CUnitPinCode::~CUnitPinCode()
{
}

void CUnitPinCode::DoDataExchange(CDataExchange* pDX)
{
   CDialog::DoDataExchange(pDX);
   DDX_Text(pDX, IDC_PIN, m_pin);
   DDV_MaxChars(pDX, m_pin, 4);
}

BEGIN_MESSAGE_MAP(CUnitPinCode, CDialog)
END_MESSAGE_MAP()

void CUnitPinCode::OnOK()
{
   // Update
	UpdateData(true);

   // Validate PIN
   if (m_pin.IsEmpty())
   {
      if (AfxMessageBox("The PIN Code field is empty. This requires that the PIN Code on the SIM card is disabled. \nIs the PIN Code disabled on the SIM Card?", MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2) == IDNO)
         return;
   }
   if (!m_pin.IsEmpty() && m_pin.GetLength() != 4)
   {
      AfxMessageBox("Invalid PIN code, must be 4 digits or empty");
      GetDlgItem(IDC_PIN)->SetFocus();
      return;
   }

	// Default
   CDialog::OnOK();
}
